package enginePackage;

import commonStructures.*;

public class ServiceManager {
	private EPlate[] thePlates;
	private static int numPlates = 500;
	
	public ServiceManager(){
		thePlates = new EPlate[numPlates];
		for(int i=0; i< thePlates.length; i++)
			thePlates[i] = new EPlate(i+1);
	}
	
	public EPlate getNextPlate(){
		for(int i=0; i<thePlates.length; i++)
			if(thePlates[i].getOrderItemCopy() == null)
				return thePlates[i];
		return null;
	}
	
	public void makeOIAvailable(Order o, String oiName){
		EPlate pl1 = getNextPlate();
		if (pl1 == null){
			//TODO: Fix what happens if we are out of plates; call Veggos to wash
			System.exit(-69);
		}
		OrderItem oi = o.getItem(oiName);
		oi.setPlateAsWaiting(pl1);
	}
	
	//auxilliary to test the stuff
	public EPlate getPlateAtPos(int i){
		return thePlates[i];
	}
}
