package enginePackage;
import commonStructures.*;


public class MainEngine {
	private AuthenticationManager authMgr;
	private OrderManager orderMgr;
	private TransactionManager trxMgr;
	private ServiceManager srvcMgr;
	private RestaurantTable[] theTables;
	
	
	public MainEngine(int numTables){
		authMgr = new AuthenticationManager();
		orderMgr = new OrderManager();
		trxMgr = new TransactionManager();
		srvcMgr = new ServiceManager();
		
		theTables = new RestaurantTable[numTables];
		for(int i=0; i< numTables; i++)
			theTables[i] = new RestaurantTable(i+1);


		
	}
	
	public AuthenticationManager getAuthenticationManager(){return authMgr;}
	public OrderManager getOrderManager(){return orderMgr;}
	public TransactionManager getTransactionManager(){return trxMgr;}
	public ServiceManager getServiceManager(){return srvcMgr;}
	public RestaurantTable[] getTheTables(){return theTables;}
	public RestaurantTable getATable(int position){return theTables[position];} //ToDO: chk within bounds
	
	//TODO: Kanonika gia ton PiatoManager

}
